﻿
////////////////////////////////////////////////////////////
// Uses the .NET convention for formatting strings
//
String.prototype.format = function () {
    var theString = this,
        count = arguments.length;

    while (count--) {
        theString = theString.replace(
            new RegExp('\\{' + count + '\\}', 'gm'), arguments[count]);
    };

    return theString;
};

////////////////////////////////////////////////////////////
// Double-escape single quotes trying to fix invalid JSON 
// strings such as those obtained from the Flickr service.
//
String.prototype.doubleEscapeSingleQuotes = function () {
    var theString = this;

    if (theString != null && theString != "") {
        return theString.replace(/\'/g, "\\'");
    } else {
        return theString;
    }
}

