﻿var instantPhotoApp = instantPhotoApp || {};
instantPhotoApp.customFolder = null;

instantPhotoApp.init = function () {
    document.getElementById("buttonShoot").addEventListener("click", instantPhotoApp.takePicture, false);

    var picturesFolder = Windows.Storage.KnownFolders.picturesLibrary;
    picturesFolder.createFolderAsync("Instant Photo", Windows.Storage.CreationCollisionOption.openIfExists)
                  .then(function (folder) {
                      instantPhotoApp.customFolder = folder;
                  });
};

instantPhotoApp.takePicture = function () {
    try {
        var dialog = new Windows.Media.Capture.CameraCaptureUI();
        var aspectRatio = { width: 16, height: 9 };
        dialog.photoSettings.croppedAspectRatio = aspectRatio;
        dialog.photoSettings.format = Windows.Media.Capture.CameraCaptureUIPhotoFormat.jpeg;
        dialog.captureFileAsync(Windows.Media.Capture.CameraCaptureUIMode.photo).then(function (file) {
            if (file) {
                var viewer = document.getElementById("imgPhoto");
                viewer.src = URL.createObjectURL(file);

                var picFolder = instantPhotoApp.customFolder; //Windows.Storage.KnownFolders.picturesLibrary;
                file.copyAsync(picFolder);
            } else {
                // No photo captured
            }
        }, function (err) {
            //displayError(err);
        });
    } catch (err) {
        //displayError(err);
    }
}

/* instantPhotoApp.savePic = function (picture) {
    fileIO = Windows.Storage.FileIO; 
    var picker = new Windows.Storage.Pickers.FileSavePicker();
    picker.suggestedStartLocation = Windows.Storage.Pickers.PickerLocationId.picturesLibrary;

    picker.fileTypeChoices.insert("PNG file", [".png"]);
    picker.suggestedFileName = instantPhotoApp.getDefaultName();
    picker.pickSaveFileAsync().then(function (file) {
        if (file) {
            fileIO.writeBytesAsync(file, file.openReadAsync())
                        .done(function () {
                            TodoList.alert("All done!");
                            TodoList.populateTaskList();
                            TodoList.cancelTaskClick();
                        })
        }
        else {
            //user cancelled
        }
    })
};*/

instantPhotoApp.getDefaultName = function () {
    var today = new Date();
    var dd = today.getDate();
    var mm = today.getMonth() + 1;
    var hh = today.getHours();
    var mm = today.getMinutes();
    var ss = today.setSeconds();
    var defaultName = "IntastPhoto_ " + today.toString();
    return defaultName;
}